Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           icu
Version:        4.2.1
Release: 	3
BuildArch:	i686
Summary:        International Components for Unicode

Group:          System/Libraries
License:        X License
URL:            http://www.ibm.com/software/globalization/icu/
Source0:        http://download.icu-project.org/files/icu4c/4.2.1/icu4c-4_2_1-src.tgz
Source1:	icu-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  doxygen autoconf
Patch1:  	icu-3.4-multiarchdevel.patch
Patch2:  	icu.icu6284.strictalias.patch
Patch3:  	icu.6995.kannada.patch
Patch4:  	icu.icu7039.badextract.patch
Patch5:  	icu.6969.pkgdata.patch
Patch6:  	icu.XXXX.install.patch
Patch7:  	icu.7119.s390x.patch

%description
The International Components for Unicode (ICU) libraries provide
robust and full-featured Unicode services on a wide variety of
platforms. ICU supports the most current version of the Unicode
standard, and they provide support for supplementary Unicode
characters (needed for GB 18030 repertoire support).
As computing environments become more heterogeneous, software
portability becomes more important. ICU lets you produce the same
results across all the various platforms you support, without
sacrificing performance. It offers great flexibility to extend and
customize the supplied services.

%package     -n lib%{name}
Summary:        International Components for Unicode - libraries
Group:          System/Libraries
#Provides:       libicui18n.so.38

%description -n lib%{name}
%{summary}.

%package     -n lib%{name}-devel
Summary:        Development files for International Components for Unicode
Group:          Development/Libraries
Requires:       lib%{name} = %{version}-%{release}
Requires:       pkg-config

%description -n lib%{name}-devel
%{summary}.

%package     -n lib%{name}-doc
Summary:        Documentation for International Components for Unicode
Group:          Documentation

%description -n lib%{name}-doc
%{summary}.


%prep
%setup -q -n %{name}
## Patches from Fedora
# will install pkgconfig file
%patch1 -p1
# fix an kannada issue
%patch2 -p1
%patch3 -p1 -b .icu6284.strictalias.patch
%patch4 -p1 -b .icu7039.badextract.patch
%patch5 -p0 -b .icu.6969.pkgdata.patch
%patch6 -p1 -b .icu.XXXX.install.patch
%patch7 -p1 -b .icu.7119.s390x.patch

%build
cd source
autoconf
%configure --with-data-packaging=library --disable-samples
#rhbz#225896
sed -i -- "s/-nodefaultlibs -nostdlib//" config/mh-linux
make # %{?_smp_mflags} # -j(X>1) may "break" man pages as of 3.2, b.f.u #2357
make doc

%install
rm -rf $RPM_BUILD_ROOT source/__docs
make -C source install DESTDIR=$RPM_BUILD_ROOT
make -C source install-doc docdir=__docs
chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so.*
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}-config
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}-config
sed -i s/\\\$\(THREADSCXXFLAGS\)// $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/icu.pc
sed -i s/\\\$\(THREADSCPPFLAGS\)/-D_REENTRANT/ $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/icu.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name} -p /sbin/ldconfig

%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc license.html readme.html
%{_bindir}/derb
%{_bindir}/genbrk
%{_bindir}/gencnval
%{_bindir}/genctd
%{_bindir}/genrb
%{_bindir}/makeconv
%{_bindir}/pkgdata
%{_bindir}/uconv
%{_bindir}/gencfu
%{_sbindir}/*
%{_mandir}/man1/derb.1*
%{_mandir}/man1/gencnval.1*
%{_mandir}/man1/genrb.1*
%{_mandir}/man1/genbrk.1*
%{_mandir}/man1/genctd.1*
%{_mandir}/man1/makeconv.1*
%{_mandir}/man1/pkgdata.1*
%{_mandir}/man1/uconv.1*
%{_mandir}/man8/*.8*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1*
%{_includedir}/layout
%{_includedir}/unicode
%{_libdir}/*.so
%{_libdir}/pkgconfig/icu.pc
%{_libdir}/icu
%{_datadir}/icu/%{version}/config
%{_datadir}/icu/%{version}/install-sh
%{_datadir}/icu/%{version}/license.html
%{_datadir}/icu/%{version}/mkinstalldirs

%files -n lib%{name}-doc
%defattr(-,root,root,-)
%doc source/__docs/%{name}/html/*


%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 4.2.1-3
- add some patches
* Sun Aug 02 2009 Stefan Gottwald <gotti@ccux-linux.de> 4.2.1-2
- added some patches (fix missing pkgconfig file)
* Sun Aug 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Thu Jun 04 2009 Christian Metzen <metzench@ccux-linux.de> 4.0.1-2
- rebuild for missing devel package
* Sun May 31 2009 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.8.1-1
- Version update
* Tue Dec 05 2006 Christian Metzen <metzench@ccux-linux.de> 3.6-1
- Initial release

